/*
    *
    * This file is a part of Libcprime.
    * Library for bookmarking, saving recent activites, managing settings for CuboCore Application Suite
	* Copyright 2019 CuboCore Group
    *

    *
    * This program is free software; you can redistribute it and/or modify
    * it under the terms of the GNU General Public License as published by
    * the Free Software Foundation; either version 3 of the License, or
    * (at your option) any later version.
    *

    *
    * This program is distributed in the hope that it will be useful,
    * but WITHOUT ANY WARRANTY; without even the implied warranty of
    * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    * GNU General Public License for more details.
    *

    *
    * You should have received a copy of the GNU General Public License
    * along with this program; if not, vsit http://www.gnu.org/licenses/.
    *
*/


#ifndef SHAREIT_H
#define SHAREIT_H

#include <QDialog>

#include "libcprime_global.h"

class QListWidgetItem;

namespace Ui {
class shareit;
}

class LIBCPRIMESHARED_EXPORT shareit : public QDialog
{
    Q_OBJECT

public:
    explicit shareit(QWidget *parent = nullptr);
    ~shareit();
    void setFilePath(QString filePath);

    static void callShareIt(QWidget *parent, const QString &currentPath);

private slots:
    void on_fApps_itemActivated(QListWidgetItem *item);
    void on_drives_itemActivated(QListWidgetItem *item);
    void on_speedDial_itemActivated(QListWidgetItem *item);
    void on_homeFolder_itemActivated(QListWidgetItem *item);
    void networkTransfer(QListWidgetItem *item);

private:
    Ui::shareit *ui;
    QString m_filePath;

    QString toDriveFolder(QString driveMountPoint);

    void populateFavouriteApps();
    void populateMountedDrives();
    void populateFolders();
};

#endif // SHAREIT_H
